Transcend Docs
API referenceData subject request

Download individual files

GET
/v1/files

With the downloadKey in hand, it is possible to download the files generated by the DSR.

Authorization

Transcend_API_Key
headerAuthorizationBearer <token>

authorization: Bearer <>

Query Parameters

downloadKey*string

A download key retrieved from /v1/data-subject-request/{id}/download-keys

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

content-type*string

Specify content-type: application/json for a JSON response from the Transcend API.

Matchapplication-json

Response Body

The file was found. Responds with a download stream of the file binary.

response?fileapplication/octet-stream (see `content-type` header for variations)
Formatbinary
Example Request
curl -X GET 'https://multi-tenant.sombra.transcend.io/v1/files?downloadKey=string' \  -H 'authorization: string' \  -H 'content-type: string'
Example Response
Empty